# -*- rpm-spec -*-
Name:           openvrml
Version:        0.18.6
Release:        4%{?dist}.1
Summary:        VRML/X3D player and runtime library
License:        LGPLv3+
Group:          System Environment/Libraries
Source:         http://downloads.sourceforge.net/project/openvrml/%{name}/%{version}/%{name}-%{version}.tar.gz
URL:            http://openvrml.org
BuildRequires:  pkgconfig >= 0.18.0
BuildRequires:  libtool-ltdl-devel
BuildRequires:  boost-devel >= 1.37.0
BuildRequires:  libxml2-devel >= 2.5
BuildRequires:  libpng-devel >= 1.0.12
BuildRequires:  libjpeg-devel >= 6b
BuildRequires:  fontconfig-devel >= 2.0
BuildRequires:  freetype-devel >= 2.1.2
BuildRequires:  gecko-devel >= 1.9.1
BuildRequires:  glib2-devel >= 2.6
BuildRequires:  dbus-glib-devel
BuildRequires:  gtk2-devel >= 2.12
BuildRequires:  gtkglext-devel
BuildRequires:  libgnomeui-devel >= 2.14
BuildRequires:  curl-devel
%ifarch s390 s390x
BuildRequires:  java-1.6.0-devel
%else
BuildRequires:  java-devel
%endif
Requires:       openvrml-player%{?_isa} = %{version}-%{release}
Requires:       openvrml-mozilla-plugin%{?_isa} = %{version}-%{release}
Requires:       openvrml-nodes%{?_isa} = %{version}-%{release}
Requires:       openvrml-java%{?_isa} = %{version}-%{release}
Requires:       openvrml-javascript%{?_isa} = %{version}-%{release}
Obsoletes:      openvrml < %{version}-%{release}

%description
Metapackage that aggregates the stand-alone player, the Web browser
plug-in, the node implementations, and the Java and JavaScript
scripting engines.

%package -n libopenvrml
Summary:        VRML/X3D runtime library
Group:          System Environment/Libraries
%description -n libopenvrml
The core runtime library and parsing facilities for OpenVRML.

%package -n lib%{name}-devel
Summary:        Headers for developing C++ programs with OpenVRML
Group:          Development/Libraries
Requires:       libopenvrml%{?_isa} = %{version}-%{release}
Requires:       pkgconfig >= 0.18.0
Requires:       boost-devel%{?_isa} >= 1.37.0
Obsoletes:      openvrml-devel
%description -n libopenvrml-devel
Headers that programmers will need to develop C++ programs using
libopenvrml.

%package nodes
Summary:        OpenVRML node implementations.
Group:          System Environment/Libraries
Requires:       libopenvrml%{?_isa} = %{version}-%{release}
%description nodes
Node implementations for OpenVRML.

%package javascript
Summary:        Script node JavaScript support for OpenVRML
Group:          System Environment/Libraries
Requires:       libopenvrml%{?_isa} = %{version}-%{release}
Requires:       xulrunner%{?_isa} >= 1.9.1
%description javascript
A JavaScript scripting engine for OpenVRML using Mozilla SpiderMonkey.

%package java
Summary:        Script node Java support for OpenVRML
Group:          System Environment/Libraries
Requires:       libopenvrml%{?_isa} = %{version}-%{release}
Requires:       java-1.6.0-openjdk%{?_isa}
%description java
A Java scripting engine for OpenVRML.

%package -n libopenvrml-gl
Summary:        OpenGL renderer for OpenVRML
Group:          System Environment/Libraries
Requires:       libopenvrml%{?_isa} = %{version}-%{release}
Obsoletes:      openvrml-gl
%description -n libopenvrml-gl
OpenGL renderer for OpenVRML.

%package -n libopenvrml-gl-devel
Summary:        OpenVRML OpenGL renderer headers
Group:          Development/Libraries
Requires:       libopenvrml-gl%{?_isa} = %{version}-%{release}
Requires:       libopenvrml-devel%{?_isa} = %{version}-%{release}
Requires:       pkgconfig >= 0.18.0
Requires:       mesa-libGLU-devel%{?_isa}
Obsoletes:      openvrml-gl-devel
%description -n libopenvrml-gl-devel
Headers that programmers will need to develop C++ programs using the
OpenVRML OpenGL renderer.

%package xembed
Summary:        VRML/X3D browser XEmbed component for embedding in X11 applications
Group:          Applications/Internet
License:        GPLv3+
Requires:       lib%{name}-gl%{?_isa} = %{version}-%{release}
Obsoletes:      %{name}-gtkplug
%description xembed
VRML/X3D browser XEmbed component for embedding in X11 applications.

%package mozilla-plugin
Summary:        VRML/X3D browser plug-in for Mozilla-based browsers
Group:          Applications/Internet
License:        GPLv3+
Requires:       %{name}-xembed = %{version}-%{release}
Requires:       dbus-x11
Requires:       mozilla-filesystem
%description mozilla-plugin
VRML/X3D browser plug-in for Mozilla-based browsers.  Hosts the OpenVRML
XEmbed control.

%package player
Summary:        VRML/X3D player
Group:          Applications/Internet
License:        GPLv3+
Requires:       %{name}-xembed = %{version}-%{release}
Requires:       dbus-x11
%description player
VRML/X3D player.  Hosts the OpenVRML XEmbed control.

%package -n libopenvrml-doc
Summary:        Developer documentation for OpenVRML
Group:          Documentation
Requires:       libopenvrml-devel = %{version}-%{release}
Obsoletes:      openvrml-doc
BuildArch:      noarch
%description -n libopenvrml-doc
OpenVRML API documentation.

%prep
%setup

%build
CXXFLAGS="%optflags -fvisibility=hidden -fvisibility-inlines-hidden -Wno-missing-braces -Wno-strict-aliasing -Wno-unused-variable"
%configure --disable-static --enable-exception-specs=nothrow --disable-examples CPPFLAGS="-I/usr/lib/jvm/java/include -I/usr/lib/jvm/java/include/linux -DNDEBUG" JAVA_HOME=/usr/lib/jvm/jre
%{__make} %{_smp_mflags}

%check
%{__make} %{_smp_mflags} check

%install
%{__make} DESTDIR=%{buildroot} install
%{__rm} %{buildroot}%{_libdir}/*.la
%{__rm} %{buildroot}%{_libdir}/mozilla/plugins/openvrml.la
%{__rm} %{buildroot}%{_libdir}/openvrml/node/*.la
%{__rm} %{buildroot}%{_libdir}/openvrml/script/*.la
%{__mkdir_p} %{buildroot}%{_datadir}/doc/libopenvrml-%{version}
%{__mv} COPYING.LESSER %{buildroot}%{_datadir}/doc/libopenvrml-%{version}
%{__mv} %{buildroot}%{_docdir}/%{name}-%{version}/manual %{buildroot}%{_datadir}/doc/libopenvrml-%{version}

%files

%post -n libopenvrml -p /sbin/ldconfig

%postun -n libopenvrml -p /sbin/ldconfig

%files -n libopenvrml
%dir %{_docdir}/libopenvrml-%{version}
%doc %{_docdir}/libopenvrml-%{version}/COPYING.LESSER
%dir %{_datadir}/openvrml
%dir %{_datadir}/openvrml/component
%{_libdir}/libopenvrml.so.*
%dir %{_libdir}/openvrml
%dir %{_libdir}/openvrml/node
%dir %{_libdir}/openvrml/script

%files -n libopenvrml-devel
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/openvrml-common.h
%{_includedir}/%{name}/openvrml-config.h
%dir %{_includedir}/%{name}/openvrml
%{_includedir}/%{name}/openvrml/*.h
%{_libdir}/libopenvrml.so
%{_libdir}/pkgconfig/openvrml.pc

%files nodes
%{_datadir}/openvrml/component/*.xml
%{_libdir}/openvrml/node/*.so

%files javascript
%{_libdir}/openvrml/script/javascript.so

%files java
%dir %{_datadir}/openvrml/java
%{_datadir}/openvrml/java/script.jar
%{_libdir}/openvrml/script/java.so
%{_javadocdir}/%{name}-%{version}

%post -n libopenvrml-gl -p /sbin/ldconfig

%postun -n libopenvrml-gl -p /sbin/ldconfig

%files -n libopenvrml-gl
%{_libdir}/libopenvrml-gl.so.*

%files -n libopenvrml-gl-devel
%{_includedir}/%{name}/openvrml-gl-common.h
%{_includedir}/%{name}/openvrml-gl-config.h
%dir %{_includedir}/%{name}/openvrml/gl
%{_includedir}/%{name}/openvrml/gl/*.h
%{_libdir}/libopenvrml-gl.so
%{_libdir}/pkgconfig/openvrml-gl.pc

%files xembed
%doc COPYING
%{_libexecdir}/openvrml-xembed
%{_datadir}/dbus-1/services/org.openvrml.BrowserControl.service
%dir %{_datadir}/openvrml-xembed
%dir %{_datadir}/openvrml-xembed/dbus-1
%{_datadir}/openvrml-xembed/dbus-1/browser.xml
%{_datadir}/openvrml-xembed/dbus-1/browser-factory.xml
%{_datadir}/openvrml-xembed/dbus-1/browser-host.xml

%files mozilla-plugin
%doc COPYING
%{_libdir}/mozilla/plugins/openvrml.so

%files player
%doc COPYING
%{_bindir}/openvrml-player
%dir %{_datadir}/openvrml-player
%dir %{_datadir}/openvrml-player/ui
%{_datadir}/openvrml-player/ui/openvrml-player.ui

%files -n libopenvrml-doc
%doc %{_datadir}/doc/libopenvrml-%{version}/manual

%changelog
* Tue Oct 05 2010 jkeating - 0.18.6-4.1
- Rebuilt for gcc bug 634757

* Thu Sep 24 2010  Dan Horák  <dan[at]danny.cz> - 0.18.6-4
- use openjdk on s390(x)

* Sat Sep 14 2010  Braden McDaniel  <braden@endoframe.com> - 0.18.6-3
- Rebuild for the *real* boost-1.44.0.

* Fri Jul 30 2010  Braden McDaniel  <braden@endoframe.com> - 0.18.6-2
- Rebuilt for boost-1.44.0.

* Wed Jun 26 2010  Braden McDaniel  <braden@endoframe.com> - 0.18.6-1
- Updated to 0.18.6.

* Wed Jun 2 2010  Braden McDaniel  <braden@endoframe.com> - 0.18.5-3
- Removed BuildRoot tag and %%clean.

* Sun Feb 21 2010  Braden McDaniel  <braden@endoframe.com> - 0.18.5-2
- Added self-obsoletes for openvrml package to fix upgrade path issue.

* Mon Feb 15 2010  Braden McDaniel  <braden@endoframe.com> - 0.18.5-1
- Updated to 0.18.5.

* Sat Feb 13 2010  Braden McDaniel  <braden@endoframe.com> - 0.18.4-1
- Updated to 0.18.4.

* Sat Feb 13 2010  Braden McDaniel  <braden@endoframe.com> - 0.18.3-21
- Fix no-implicit-dso-linking.patch.

* Sat Feb 13 2010  Braden McDaniel  <braden@endoframe.com> - 0.18.3-20
- Fix no-implicit-dso-linking.patch.
- Build with -Wno-unused-variable to suppress noise.

* Sat Feb 13 2010  Braden McDaniel  <braden@endoframe.com> - 0.18.3-19
- browser test needs to link explicitly to libboost_system (no-implicit-dso-linking.patch).
- Build with -Wno-strict-aliasing to suppress a lot of noise from the
  Boost.Spirit Classic headers.

* Sat Jan 16 2010  Braden McDaniel  <braden@endoframe.com> - 0.18.3-18
- Patch to add missing inclusions of <boost/function.hpp> to satisfy
  Boost 1.41.0.

* Fri Jan 15 2010  Braden McDaniel  <braden@endoframe.com> - 0.18.3-17
- Patch to include the necessary header for strerror.

* Fri Jan 15 2010  Braden McDaniel  <braden@endoframe.com> - 0.18.3-16
- Rebuild for Boost 1.41.0.

* Fri Jan 15 2010  Braden McDaniel  <braden@endoframe.com> - 0.18.3-15
- Fixes for xulrunner-1.9.2 compatibility patch.

* Fri Jan 15 2010  Braden McDaniel  <braden@endoframe.com> - 0.18.3-14
- Don't patch with -p1.

* Thu Jan 14 2010  Braden McDaniel  <braden@endoframe.com> - 0.18.3-13
- Patch for compatibility with xulrunner-1.9.2.

* Sun Nov 15 2009  Braden McDaniel  <braden@endoframe.com> - 0.18.3-12
- Rebuild.

* Sat Nov 14 2009  Braden McDaniel  <braden@endoframe.com> - 0.18.3-11
- Changed name of openvrml-doc to libopenvrml-doc; depend on libopenvrml-devel
  instead of openvrml.

* Thu Nov 12 2009  Braden McDaniel  <braden@endoframe.com>
- Don't install README, ChangeLog, NEWS, THANKS, or AUTHORS.

* Mon Nov 9 2009  Braden McDaniel  <braden@endoframe.com> - 0.18.3-10
- mozilla-plugin needs mozilla-filesystem now that libopenvrml no longer
  depends on xulrunner.

* Wed Oct 21 2009  Braden McDaniel  <braden@endoframe.com> - 0.18.3-9
- libopenvrml-devel Obsoletes: openvrml-devel.
- libopenvrml-gl Obsoletes: openvrml-gl.
- libopenvrml-gl-devel Obsoletes: openvrml-gl-devel.
- openvrml-xembed Requires: libopenvrml-gl.

* Thu Oct 15 2009  Braden McDaniel  <braden@endoframe.com> - 0.18.3-8
- Copy README, etc. to %%{_docdir} in %%install so that we can use absolute
  paths with %%doc; the relative form invokes an rm -rf that blows away the
  Doxygen docs.
- Moved libopenvrml.so.* to libopenvrml subpackage.
- Moved libopenvrml-gl.so.* to libopenvrml-gl subpackage.
- Moved node implementations to openvrml-nodes subpackage.

* Wed Oct 14 2009  Braden McDaniel  <braden@endoframe.com>
- Moved jar file and javadoc to openvrml-java subpackage.
- Put openvrml-doc package contents in %%{_docdir}/%%{name}-%%{version}.

* Sun Oct 4 2009  Braden McDaniel  <braden@endoframe.com> - 0.18.3-7
- Actually remove Java and JavaScript backends from the main package.

* Fri Oct 2 2009  Braden McDaniel  <braden@endoframe.com> - 0.18.3-6
- Separate the Java and JavaScript scripting backends into subpackages.

* Mon Sep 28 2009  Braden McDaniel  <braden@endoframe.com> - 0.18.3-5
- Require mesa-libGLU-devel since there is no arch-specific libGLU-devel.

* Mon Sep 28 2009  Braden McDaniel  <braden@endoframe.com> - 0.18.3-4
- Arch-independent Requires are not safe for multilib systems when a
  specific architecture is needed.

* Sat Sep 12 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 0.18.3-3
- undo arch-specific deps on gecko-libs and java (%%{?isa} doesn't work like you think it works)
  for more details, see the comment in the spec file

* Wed Aug 26 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.18.3-2
- Rebuild for broken deps

* Thu Aug 13 2009  Braden McDaniel  <braden@endoframe.com> - 0.18.3-1
- Updated to 0.18.3.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 23 2009  Braden McDaniel  <braden@endoframe.com>
- Made dependencies on gecko-libs and java arch-specific.
- Removed unnecessary (redundant) dependencies on libGLU-devel and
  libXmu-devel.

* Mon Jul 13 2009  Braden McDaniel  <braden@endoframe.com> - 0.18.2-2
- Patch openvrml-player to fix symbol visibility.

* Thu Jul 09 2009  Braden McDaniel  <braden@endoframe.com>
- Made doc subpackage noarch.

* Tue Jul 07 2009  Braden McDaniel  <braden@endoframe.com> - 0.18.2-1
- Updated to 0.18.2.
- Removed unnecessary Requires from openvrml-devel.

* Mon Jul 06 2009  Braden McDaniel  <braden@endoframe.com> - 0.18.1-2
- Added BuildRequires: libtool-ltdl-devel.

* Sun Jul 05 2009  Braden McDaniel  <braden@endoframe.com> - 0.18.1-1
- Updated to 0.18.1.
- Put documentation in doc subpackage.
- Added check phase back.

* Fri May 22 2009  Braden McDaniel  <braden@endoframe.com> - 0.17.12-2
- Tagged for rebuild against Boost 1.39.

* Mon Mar 23 2009  Braden McDaniel  <braden@endoframe.com> - 0.17.12-1
- Updated to 0.17.12.
- Only build with _smp_mflags if the machine has at least 4 GB of RAM.

* Sat Feb 28 2009  Braden McDaniel  <braden@endoframe.com> - 0.17.10-8.0
- Define OJI for the Gecko plug-in.

* Sat Feb 28 2009  Braden McDaniel  <braden@endoframe.com> - 0.17.10-7.0
- Looks like Gecko now provides the NPN_* entry points like the old Netscape
  did.

* Sat Feb 28 2009  Braden McDaniel  <braden@endoframe.com> - 0.17.10-6.0
- Define XP_UNIX and use new integer type names in the Gecko plug-in.

* Fri Feb 27 2009  Braden McDaniel  <braden@endoframe.com> - 0.17.10-5.0
- Looks like we need to include npapi.h now, too.

* Fri Feb 27 2009  Braden McDaniel  <braden@endoframe.com> - 0.17.10-4.0
- XULRunner now provides npfunctions.h instead of npupp.h.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17.10-3.0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 17 2008 Benjamin Kosnik  <bkoz@redhat.com> - 0.17.10-2.0
- Rebuild for boost-1.37.0.

* Sun Oct 26 2008  Braden McDaniel  <braden@endoframe.com> - 0.17.10-1.0
- Updated to 0.17.10.

* Thu Oct 09 2008  Braden McDaniel  <braden@endoframe.com> - 0.17.9-1.0
- Updated to 0.17.9.
- Removed patch to remove GTK_DISABLE_DEPRECATED.

* Thu Aug 28 2008 Michael Schwendt <mschwendt@fedoraproject.org>
- Include two directories in -player pkg.

* Wed Aug 13 2008  Braden McDaniel  <braden@endoframe.com>
- Build with -Wno-missing-braces.

* Wed Aug 13 2008  Braden McDaniel  <braden@endoframe.com> - 0.17.8-1.0
- Updated to 0.17.8.

* Tue Aug 12 2008  Braden McDaniel  <braden@endoframe.com> - 0.17.7-2.0
- libgnomeui-2.23.4-1 does not work with GTK_DISABLE_DEPRECATED; patch
  it away.

* Tue Aug 12 2008  Braden McDaniel  <braden@endoframe.com> - 0.17.7-1.0
- Updated to 0.17.7.

* Tue Aug 12 2008  Braden McDaniel  <braden@endoframe.com> - 0.17.6-7.0
- Change to x.y convention for the Release number to satisfy Fedora
  packaging scripts.

* Sun Jun 22 2008  Braden McDaniel  <braden@endoframe.com> - 0.17.6-2
- Make symbols for libglade callbacks in openvrml-player visible.

* Fri Jun 20 2008  Braden McDaniel  <braden@endoframe.com> - 0.17.6-1
- Updated to 0.17.6.
- Build with -fvisibility=hidden -fvisibility-inlines-hidden

* Fri Apr 25 2008  Braden McDaniel  <braden@endoframe.com> - 0.17.5-5
- Append -O0 after optflags on ppc64 to work around gcc segfault.

* Tue Apr 22 2008  Braden McDaniel  <braden@endoframe.com> - 0.17.5-4
- Patch to fix missing std qualification that gcc 4.3 complains about.

* Wed Mar 26 2008  Braden McDaniel  <braden@endoframe.com> - 0.17.5-3
- Fixed patch to use -p0.

* Wed Mar 26 2008  Braden McDaniel  <braden@endoframe.com> - 0.17.5-2
- Patch for crash in openvrml-xembed (bug 437611).

* Tue Feb 05 2008  Braden McDaniel  <braden@endoframe.com> - 0.17.5-1
- Updated to 0.17.5.
- Removed unnecessary --disable-gecko-rpath.

* Sat Jan 26 2008  Braden McDaniel  <braden@endoframe.com> - 0.17.4-1
- Updated to 0.17.4.

* Thu Jan 24 2008  Braden McDaniel  <braden@endoframe.com> - 0.17.3-3
- Try again with --disable-gecko-rpath.

* Tue Jan 22 2008  Braden McDaniel  <braden@endoframe.com> - 0.17.3-2
- Do not configure with --disable-gecko-rpath.
- Go back to having openvrml-xembed require gecko-libs = 1.9.

* Thu Jan 17 2008  Braden McDaniel  <braden@endoframe.com> - 0.17.3-1
- Updated to 0.17.3.
- configure with --disable-gecko-rpath.
- openvrml-xembed can now require gecko-libs >= 1.9.

* Wed Jan 09 2008  Braden McDaniel  <braden@endoframe.com> - 0.17.2-1
- Updated to 0.17.2.

* Sun Jan 06 2008  Braden McDaniel  <braden@endoframe.com> - 0.17.1-1
- Updated to 0.17.1.

* Wed Dec 19 2007  Braden McDaniel  <braden@endoframe.com> - 0.17.0-2
- Removed %%check.  The "browser" test fails on ppc due to what looks
  like a probable compiler bug.

* Wed Dec 19 2007  Braden McDaniel  <braden@endoframe.com> - 0.17.0-1
- Updated to 0.17.0
- Changed license to LGPLv3+/GPLv3+ per OpenVRML 0.17.0 change.

* Tue Dec 04 2007  Martin Stransky  <stransky@redhat.com> - 0.16.7-3
- rebuilt against xulrunner (gecko-libs 1.9)

* Tue Nov 27 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.7-2
- Updated gecko-libs dependency to 1.8.1.10.

* Thu Nov 15 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.7-1
- Updated to 0.16.7.
- Changed build prerequisite from firefox-devel to gecko-devel.
- Changed openvrml-xembed to require gecko-libs instead of firefox.

* Fri Nov 09 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.6-8
- Backed out inadvertent change.

* Fri Nov 09 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.6-7
- Updated firefox dependency to 2.0.0.9.

* Fri Oct 26 2007  Braden McDaniel  <braden@endoframe.com>
- Updated license tags to LGPLv2+, GPLv2+.

* Wed Oct 25 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.6-6
- Made openvrml depend on gecko-libs instead of firefox.

* Wed Oct 24 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.6-5
- Updated firefox dependency to 2.0.0.8.

* Wed Aug 22 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.6-4
- Set BOOST_LIB_SUFFIX="-mt".
- Updated firefox dependency to 2.0.0.6.

* Fri Aug 03 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.6-3
- Rebuild for updated boost.

* Thu Jun 07 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.6-2
- Updated firefox dependency to 2.0.0.5.

* Thu Jun 07 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.6-1
- Updated to 0.16.6.

* Thu Jun 07 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.5-1
- Updated to 0.16.5.

* Sat Jun 02 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.4-3
- Updated firefox dependency to 2.0.0.4.

* Tue May 01 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.4-2
- Obsolete openvrml-gtkplug.

* Mon Apr 30 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.4-1
- Updated to 0.16.4.
- Added BuildRequires for libgnomeui-devel >= 2.14 and curl-devel.
- Changed name of gtkplug subpackage to xembed.
- Removed -I flag for firefox headers.
- Added player subpackage.

* Tue Mar 27 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.3-6
- openvrml-devel: Fixed unowned directories.

* Sun Mar 25 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.3-5
- Updated firefox dependency to 2.0.0.3.

* Fri Mar 16 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.3-4
- Updated firefox dependency to 2.0.0.2.

* Fri Feb 02 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.3-3
- Require GLib >= 2.6 for use of GOption in openvrml-gtkplug.

* Mon Jan 01 2007  Braden McDaniel  <braden@endoframe.com> - 0.16.3-2
- Updated firefox dependency to 2.0.0.1.

* Sun Dec 31 2006  Braden McDaniel  <braden@endoframe.com> - 0.16.3-1
- Updated to 0.16.3.

* Fri Dec 15 2006  Braden McDaniel  <braden@endoframe.com> - 0.16.2-2
- openvrml-gtkplug: Appended "|| :" to install-info invocations.
- openvrml-gtkplug: Requires(post): /sbin/install-info and
  Requires(preun): /sbin/install-info.

* Thu Nov 30 2006  Braden McDaniel  <braden@endoframe.com> - 0.16.2-1
- Updated to 0.16.2; openvrml-gtkplug-info.patch is no longer
  necessary.

* Mon Nov 27 2006  Braden McDaniel  <braden@endoframe.com> - 0.16.1-5
- openvrml: Removed -fvisibility=hidden from CXXFLAGS.  Mozilla
  development headers are not wise to gcc symbol visibility mojo and as
  a result NPAPI entry points wound up not visible.
- openvrml: Require firefox 2.0.
- openvrml-devel: Require firefox-devel 2.0.

* Wed Nov 15 2006  Braden McDaniel  <braden@endoframe.com> - 0.16.1-4
- Patch openvrml-gtkplug.info.

* Tue Nov 14 2006  Braden McDaniel  <braden@endoframe.com> - 0.16.1-3
- openvrml: Require firefox 1.5.0.8.
- openvrml: Add -fvisibility=hidden to CXXFLAGS.
- openvrml: Use %%{__make} in %%install.
- openvrml: rm %%{buildroot}%%{_infodir}/dir at the end of %%install.
- openvrml-devel: Require pkgconfig, libpng-devel, libjpeg-devel,
  fontconfig-devel, freetype-devel, and firefox-devel = 1.5.0.8.
- openvrml-gl: Removed Requires: mesa-libGLU.
- openvrml-gl-devel: Require pkgconfig, openvrml-devel, libGLU-devel,
  libXmu-devel, and gtk2-devel.

* Mon Oct 30 2006  Braden McDaniel  <braden@endoframe.com> - 0.16.1-2
- Removed trailing '.' from summaries.
- openvrml-devel: Include %%{version}-%%{release} in dependency on
  openvrml.
- openvrml-devel: Removed mention of static libraries from summary and
  description since they are no longer included.
- openvrml-gl: Run ldconfig in %%post, %%postun.
- openvrml-gl-devel: Include %%{release} in dependency on openvrml.
- openvrml-gl-devel: Removed mention of static libraries from summary and
  description since they are no longer included.
- openvrml-gtkplug: Include %%{release} in dependency on openvrml-gl.
- openvrml-gtkplug: Run install-info in %%post, %%preun.
- openvrml-gtkplug: Removed Requires for gtk2, libXmu.
- openvrml-mozilla-plugin: Include %%{release} in dependency on
  openvrml-gtkplug.
- openvrml-mozilla-plugin: Removed Requires for firefox.

* Sat Oct 28 2006  Braden McDaniel  <braden@endoframe.com>
- Run ldconfig in %%post and %%postun.
- Updated summary and description.
- Removed BuildRequires for zlib-devel.
- Removed Requires for zlib.
- Removed Requires for libpng.
- Removed Requires for libjpeg.
- Removed Requires for fontconfig.
- Removed Requires for freetype.
- Avoid packaging libtool .la files.
- Do not build static libraries.
- Do not use %%makeinstall.

* Fri Oct 27 2006  Braden McDaniel  <braden@endoframe.com>
- Removed obsolete references to openvrml.xpt and openvrml.idl by the
  mozilla-plugin package.
- Fixed file name for openvrml-gtkplug texinfo.

* Wed Oct 25 2006  Braden McDaniel  <braden@endoframe.com>
- Require firefox instead of mozilla.

* Thu Oct 05 2006  Braden McDaniel  <braden@endoframe.com>
- Added openvrml-gtkplug info.

* Thu Sep 28 2006  Braden McDaniel  <braden@endoframe.com>
- Added openvrml-gtkplug package.

* Mon Aug 14 2006  Braden McDaniel  <braden@endoframe.com>
- Added libXmu-devel to BuildRequires.
- Made mozilla-plugin package Require libXmu.

* Thu Aug 10 2006  Braden McDaniel  <braden@endoframe.com>
- Use %%{__make} instead of make.
- Use %%{__rm} instead of rm.
- Include openvrml-common.h and openvrml-config.h in openvrml-devel.
- Include openvrml-gl-common.h and openvrml-gl-config.h in
  openvrml-gl-devel.

* Wed Jul 26 2006  Braden McDaniel  <braden@endoframe.com>
- Require boost-devel 1.33.1.
- Added dependency on boost-devel to openvrml-devel.
- Updated Mesa package names for Fedora Core 5.

* Sun Feb 12 2006  Braden McDaniel  <braden@endoframe.com>
- configure with --disable-exception-specs.

* Tue Apr 20 2005  Braden McDaniel  <braden@endoframe.com>
- Removed dejagnu build prerequisite.

* Mon Mar 21 2005  Braden McDaniel  <braden@endoframe.com>
- No longer emit lookat package.
- configure with --disable-examples.

* Wed Jan 26 2005  Braden McDaniel  <braden@endoframe.com>
- configure with --disable-script-node-java.  The Script node Java binding
  is not currently usable.

* Fri Jan 07 2005  Braden McDaniel  <braden@endoframe.com>
- Added %%{_libexecdir}/openvrml-player to the openvrml-mozilla-plugin package.

* Fri Dec 29 2004  Braden McDaniel  <braden@endoframe.com>
- Fixed name of xorg-x11-devel prerequisite for the openvrml-gl-devel package.

* Fri Dec 24 2004  Braden McDaniel  <braden@endoframe.com>
- Require mozilla >= 1.6.  The plug-in now must link with libxpcom.
- Removed GtkGLExt dependency; added GTK+ 2.x dependency.  GtkGLExt is
  now included in the distribution.

* Thu Dec 03 2004  Braden McDaniel  <braden@endoframe.com>
- Use %%makeinstall macro.
- Install COPYING (GPL) with lookat documentation rather than COPYING.LESSER
  (LGPL).

* Tue Nov 30 2004  Braden McDaniel  <braden@endoframe.com>
- Added dejagnu >= 1.4 as a build prerequisite.

* Fri Nov 26 2004  Braden McDaniel  <braden@endoframe.com>
- Changed Mozilla plug-in RPM name to openvrml-mozilla-plugin.
- Refer to the plug-in in comments as "for Mozilla-based browsers" rather than
  "for Mozilla".

* Sun Nov 21 2004  Braden McDaniel  <braden@endoframe.com>
- Changed openvrml-gl-devel dependency on XFree86-devel to xorg-X11-devel.
- Removed openvrml-mozilla dependency on mozilla.  Other browsers (e.g.,
  Firefox) could use the plug-in, too.

* Sat May 15 2004  Braden McDaniel  <braden@endoframe.com>
- Use "License" instead of "Copyright".
- Require xorg-x11 packages instead of XFree86.
- Removed "Prefix" specification.
- Use "%%configure" macro.
- Install script.jar.
- Use %%{_libdir}, etc. macros.
- Install openvrml.idl.

* Sun May 09 2004  Braden McDaniel  <braden@endoframe.com>
- Corrected description of lookat RPM to reflect the change to using SDL.
- Define NDEBUG when configuring.

* Wed May 05 2004  Braden McDaniel  <braden@endoframe.com>
- Made Mozilla plug-in scriptable.

* Mon Apr 26 2004  Braden McDaniel  <braden@endoframe.com>
- Added Mozilla plug-in.

* Thu Nov 20 2003  Braden McDaniel  <braden@endoframe.com>
- Require SDL for lookat instead of glut.
- Set "DESTDIR" for "make install" rather than "prefix".

* Sun Nov 16 2003  Braden McDaniel  <braden@endoframe.com>
- Removed unused ARCH_FLAGS variable from "configure" invocation.
- Added _smp_mflags macro to invocation of make.

* Fri Nov 07 2003  Braden McDaniel  <braden@endoframe.com>
- Added "BuildRequires: libgcj-devel >= 3.3" and analogous Requires. Script
  node Java support is now included in the build, and older versions of libgcj
  have a bug that prevents OpenVRML from compiling.
- Removed glut requirement from opevrml-gl package. (Should have been done
  some time ago.)
- Added glut requirement to lookat package.
- Changed XFree86 requirement of openvrml-gl to XFree86-Mesa-libGLU to
  correspond to Fedora Core package name. Upped required version of XFree86 to
  4.3 to correspond to this.

* Mon Nov 03 2003  Braden McDaniel  <braden@endoframe.com>
- Removed lookat-bin from lookat package.
- Added mozilla requirement for lookat.  lookat is now built with -rpath for
  the Mozilla library directory; so the binary package requires the same
  Mozilla version it was built against.

* Mon Oct 27 2003  Braden McDaniel  <braden@endoframe.com>
- Added lookat-bin to lookat package.

* Tue Sep 30 2003  Braden McDaniel  <braden@endoframe.com>
- Added BuildRequires: boost-devel.

* Sun Sep 28 2003  Braden McDaniel  <braden@endoframe.com>
- Changed COPYING.LIB to COPYING.LESSER.
- Moved pkg-config metadata files to devel packages.
- Changes for parity with installation directory names.

* Tue Dec 17 2002  Braden McDaniel  <braden@endoframe.com>
- Removed conformance.html from %%doc.  This doc now incorporated into doxygen
  docs.

* Tue Dec 10 2002  Braden McDaniel  <braden@endoframe.com>
- Added BuildRequires for pkgconfig, fontconfig-devel, freetype-devel.
- Added Requires for fontconfig, freetype.
- Updated configure arguments.
- Added conformance.html to openvrml's %%doc.
- Added API (doxygen) docs to openvrml-devel's %%doc.
- Removed GL renderer headers in openvrml-devel.
- Added AUTHORS, COPYING.LIB, ChangeLog, NEWS, README, THANKS to %%doc for all
  packages.

* Sun Dec 08 2002  Braden McDaniel  <braden@endoframe.com>
- Removed COPYING from %%doc.

* Thu Dec 05 2002  Braden McDaniel  <braden@endoframe.com>
- Added minimum versions to BuildRequires dependencies.
- configure --without-ftflibs.
- Require Mozilla 1.2.1; removed obsolete CPPFLAGS and LDFLAGS when
  configuring.

* Sun Jun 30 2002  Braden McDaniel  <braden@endoframe.com>
- configure --without-doxygen.
- Removed "doc/conformance.html" from %%doc.

* Sat Jun 15 2002  Braden McDaniel  <braden@endoframe.com>
- Use CPPFLAGS and LDFLAGS for Mozilla 1.0.0 when running configure.
- Require Mozilla 1.0.0.

* Mon May 20 2002  Braden McDaniel  <braden@endoframe.com>
- Fixed pkgconfig metafile names.
- Updated dependencies to reflect RPMs shipping with Red Hat 7.3.
- Updated source download URI.
- Removed prefix.
- Added BuildRequires.
- Added Requires for zlib, libpng, libjpeg, mozilla.
- configure --without-jdk.

* Thu Jan 24 2002  Braden McDaniel  <braden@endoframe.com>
- Added package metafiles for pkgconfig.
- Removed autoconf macros for use by client packages.

* Fri Jun 29 2001  Braden McDaniel  <braden@endoframe.com>
- Removed MPL-1.1.txt from %%doc. File nolonger distributed.
- Prefer the shorter "sf.net" to "sourceforge.net".

* Wed Jun 6 2001  Braden McDaniel  <braden@endoframe.com>
- Added COPYING to %%doc.
- Changed URL to <http://openvrml.org>
- Corrected packager e-mail address.

* Thu Jan 25 2001  Braden McDaniel  <braden@endoframe.com>
- Fixed location of lookat icon in %%files section for lookat
- Added Mesa >= 3.2 as a requirement for openvrml-gl.

* Tue Jan 2 2001  Braden McDaniel  <braden@endoframe.com>
- Removed obsolete TODO from %%doc.

* Sun Dec 31 2000  Clayton Cottingham <drfrog@smartt.com>
- Change in install section rm command is now recursive

* Fri Dec 15 2000  Braden McDaniel  <braden@endoframe.com>
- Added lookat.xpm to files section for lookat.

* Fri Dec 8 2000  Braden McDaniel  <braden@endoframe.com>
- Changes to reflect library name and header location changes.

* Sun Dec 3 2000  Braden McDaniel  <braden@endoframe.com>
- Removed README.SOUND from %%doc

* Sun Nov 26 2000  Braden McDaniel  <braden@endoframe.com>
- Added conformance.html to %%doc.
- Removed obsolete COPYING.ANTLR from %%doc.
- Changed URL to <http://openvrml.sourceforge.net>.
- Removed obsolete NODES from %%doc.

* Thu Nov 23 2000  Braden McDaniel  <braden@endoframe.com>
- Gave much love. Checked into CVS. Still not guaranteed to work, though.

* Tue Oct 24 2000  Braden McDaniel  <braden@endoframe.com>
- Received initial spec file from Clayton Cottingham <drfrog@smartt.com>.
